/*
//*****************************************************************************
/*
*	@(#) RenderingAttributes_Info.java
*
*	Project:		Java3dTree
*	Client:		Java 3D Community
*
*	Project Information:
*		dselman@tornadolabs.com
*		http://www.tornadolabs.com
*	
*	@author Daniel Selman: dselman@tornadolabs.com
*/
//*****************************************************************************

package com.tornadolabs.j3dtree;
import javax.media.j3d.*;

public class RenderingAttributes_Info extends ObjectInfo
{

	private static final int[] 		m_kCapabilityArray = 
												{
													RenderingAttributes.ALLOW_ALPHA_TEST_FUNCTION_READ,
													RenderingAttributes.ALLOW_ALPHA_TEST_VALUE_READ,
													RenderingAttributes.ALLOW_DEPTH_ENABLE_READ,
												};

	public RenderingAttributes_Info()
	{
	}
	
	java.util.Enumeration getChildren( Object obj )
	{
		return super.getChildren( obj );
	}
	
	public int[] getCapabilityBits()
	{
		return createCompoundArray( m_kCapabilityArray, super.getCapabilityBits() );
	}
	
	public String getInfo( Object obj )
	{
		String szText = super.getInfo( obj );

		szText = insertSectionBreak( szText );
		szText += "Rendering Attributes\r\n";
		
		RenderingAttributes renderingAttribs = (RenderingAttributes) obj;
				
		szText += "Alpha Test Function: " + renderingAttribs.getAlphaTestFunction() + "\r\n";
		szText += "Alpha Test Value: " + renderingAttribs.getAlphaTestValue() + "\r\n";
		szText += "Depth Buffer Enable: " + renderingAttribs.getDepthBufferEnable() + "\r\n";
		szText += "Depth Buffer Write Enable: " + renderingAttribs.getDepthBufferWriteEnable() + "\r\n";

		return szText;
	}
}