/*
//*****************************************************************************
/*
*	@(#) TexCoordGenerationAttributes_Info.java
*
*	Project:		Java3dTree
*	Client:		Java 3D Community
*
*	Project Information:
*		dselman@tornadolabs.com
*		http://www.tornadolabs.com
*	
*	@author Daniel Selman: dselman@tornadolabs.com
*/
//*****************************************************************************

package com.tornadolabs.j3dtree;
import javax.media.j3d.*;
import javax.vecmath.*;


public class TexCoordGeneration_Info extends ObjectInfo
{

	private static final int[] 		m_kCapabilityArray = 
												{
													TexCoordGeneration.ALLOW_ENABLE_READ,
													TexCoordGeneration.ALLOW_FORMAT_READ,
													TexCoordGeneration.ALLOW_MODE_READ,
													TexCoordGeneration.ALLOW_MODE_READ,
													TexCoordGeneration.ALLOW_PLANE_READ

												};

	public TexCoordGeneration_Info()
	{
	}
	
	java.util.Enumeration getChildren( Object obj )
	{
		return super.getChildren( obj );
	}
	
	public int[] getCapabilityBits()
	{
		return createCompoundArray( m_kCapabilityArray, super.getCapabilityBits() );
	}
	
	public String getInfo( Object obj )
	{
		String szText = super.getInfo( obj );

		szText = insertSectionBreak( szText );
		szText += "TexCoordGeneration\r\n";
		
		TexCoordGeneration texCoordGen = (TexCoordGeneration) obj;
				
		szText += "Enable: " + texCoordGen.getEnable() + "\r\n";
		szText += "Format: " + texCoordGen.getFormat() + "\r\n";
		szText += "Gen Mode: " + texCoordGen.getGenMode() + "\r\n";
		
		Vector4f vector = new Vector4f();
		
		texCoordGen.getPlaneR( vector );
		szText += "Plane R: " + vector + "\r\n";
		
		texCoordGen.getPlaneS( vector );
		szText += "Plane S: " + vector + "\r\n";

		texCoordGen.getPlaneT( vector );
		szText += "Plane T: " + vector + "\r\n";

		return szText;
	}
}